<?php
/**
 * Plugin citrace 
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/presentation');
include_spip('inc/citrace_commun');

function exec_citrace_trace_dist(){
    
    $id_trace= intval(_request('id_trace'));

    if (!$id_trace OR !autoriser('configurer')) {
        include_spip('inc/minipres');
        echo minipres();
    } else {
        $commencer_page = charger_fonction('commencer_page', 'inc');
        echo $commencer_page(_T('citrace:trace'), "naviguer", "mots");
        echo debut_gauche('', true);
        echo creer_colonne_droite('', true);
        echo debut_droite('', true);

        $exec = "citrace_liste";
        
        // pagination
        if (_request('debut_liste'))
            $url = generer_url_ecrire($exec,"debut_liste=".intval(_request('debut_liste')));
        else
            $url = generer_url_ecrire($exec);

        $icone_retour = icone_verticale(_T('icone_retour'), $url, "secteur-24.gif", "rien.gif",$GLOBALS['spip_lang_left']);

	
	$contexte = array(
		'icone_retour'=>$icone_retour,
		'titre'=>'',
		'redirect'=>$url,
		'id_trace'=> $id_trace,
		'config_fonc'=>''
	);


        echo '<div class="box simple"><div class="inner">'
            .'<div class="hd"><div><span class="icone verticale left retour">'.$icone_retour.'</span></div><h1>'._T('citrace:trace').' '.$id_trace.'</h1>'
            .'<div class="nettoyeur"></div></div>'
            .'<div class="bd">';
        
       	if (defined('_CITRACE_ANONYME_POUR_ADMIN') AND _CITRACE_ANONYME_POUR_ADMIN=='oui')
            echo recuperer_fond("prive/objets/liste/citrace_trace_anonyme", $contexte);
        else
            echo recuperer_fond("prive/objets/liste/citrace_trace", $contexte);

        echo '<div class="nettoyeur"></div></div></div>'
            .'</div>';

	echo fin_gauche(),
	fin_page();
    }
}

function citrace_icone_verticale($lien, $texte, $fond, $fonction="", $class="", $javascript=""){
	return icone_base($lien,$texte,$fond,$fonction,"verticale $class",$javascript);
}

?>